Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.utils
Class LogUtils

    java.lang.Object
      org.owasp.dependencycheck.utils.LogUtils

    public final class LogUtils

extends Object

A utility class to aide in the setup of the logging mechanism.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`static boolean` | `isVerboseLoggingEnabled()` Get the value of verboseLoggingEnabled.
`static void` | `prepareLogger(InputStream in, String verboseLogFile)` Configures the logger for use by the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### prepareLogger

    public static void prepareLogger(InputStream in,
                                     String verboseLogFile)

  Configures the logger for use by the application.

  Parameters:
    `in` - the input stream to read the log settings from
    `verboseLogFile` - the file path for the verbose log

### isVerboseLoggingEnabled

    public static boolean isVerboseLoggingEnabled()

  Get the value of verboseLoggingEnabled.

  Returns:
    the value of verboseLoggingEnabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.